Cloudstorageproviders 5 endpoints

DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage

Deletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication.

operationId: CloudStorage_DeleteCloudStorageProviders

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/cloudStorageProviders

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage
GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage

Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user.

operationId: CloudStorage_GetCloudStorageProviders

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

redirectUrl query optional string

The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.

The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage
POST /v2.1/accounts/{accountId}/users/{userId}/cloud_storage

Configures the redirect URL information for one or more cloud storage providers for the specified user. The redirect URL is added to the authentication URL to complete the return route.

operationId: CloudStorage_PostCloudStorage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request Body

#/components/requestBodies/cloudStorageProviders

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/users/{userId}/cloud_storage
DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}

Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider.

operationId: CloudStorage_DeleteCloudStorage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

serviceId path required string

The ID of the service to access.

Valid values are the service name (“Box”) or the numerical serviceId (“4136”).

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}
GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}

Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user.

operationId: CloudStorage_GetCloudStorage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

serviceId path required string

The ID of the service to access.

Valid values are the service name (“Box”) or the numerical serviceId (“4136”).

userId path required string

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

redirectUrl query optional string

The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.

The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}

Comments 1 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/comments/transcript

Retrieves a PDF file containing all of the comments that senders and recipients have added to the documents in an envelope.

The response body of this method is the PDF file as a byte
stream.

Note: Comments are disabled by default. To use the comments feature, an account administrator must enable comments on the account (in the accountSettingsInformation object, set the enableSigningExtensionComments property to true).

operationId: Comments_GetCommentsTranscript

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

encoding query optional string

(Optional) The encoding to use for the file.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/comments/transcript

Connectconfigurations 11 endpoints

GET /v2.1/accounts/{accountId}/connect

Retrieves all the DocuSign Custom Connect definitions for the specified account.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_GetConnectConfigs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect
POST /v2.1/accounts/{accountId}/connect

Creates a custom Connect configuration for the specified account.

Connect is a webhook service that provides updates when certain events occur in your eSignature workflows. You can use this endpoint to create:

  • Account-level Connect configurations to listen for events related to any envelopes sent by one or more account users
  • Recipient Connect configurations that are triggered when one or more of your account users receive an envelope

To set an account-level configuration, set configurationType to custom.
To set a Recipient Connect configuration, set configurationType to customrecipient.

If you want to listen for events on only one envelope, use the eventNotification object instead.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

Data models

There are four possible data models for your Connect configuration. Consider:

  • Do you want the data in JSON or XML?
  • Do you want events sent individually (SIM) or in aggregate?

DocuSign recommends using the JSON SIM event model.

JSON SIM (Recommended)

Set `deliveryMode` to **SIM** and `eventData.version` to **restv2.1.** Use the `events` property to set the event statuses that will trigger your configuration. The following sample request shows how to create an envelope-level configuration using JSON SIM: ``` { "configurationType": "custom", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "envelope-sent", "envelope-delivered", "envelope-completed" ] } ``` The following sample request shows how to create a Recipient Connect configuration using JSON SIM: ``` { "configurationType": "customrecipient", "urlToPublishTo": "YOUR-WEBHOOK-URL", "allUsers": "true", "name": "jsonSimTest", "deliveryMode": "SIM", "allowEnvelopePublish": "true", "enableLog": "true", "eventData": { "version": "restv2.1" }, "events": [ "recipient-sent", "recipient-completed" ] } ```

JSON Aggregate

Set `deliveryMode` to **aggregate** and `eventData.version` to **restv2.1.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration.

XML Aggregate

Set `deliveryMode` to **aggregate.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration.

XML SIM (Legacy apps only)

**Note:** This model [will be deprecated](https://www.docusign.com/blog/developers/docusign-connect-xml-sim-messaging-format-deprecated). Set `deliveryMode` to **SIM.** Use the `envelopeEvents` or `recipientEvents` property to set the event statuses that will trigger your configuration.

Troubleshooting

If your configuration is not working, check the following.

  • Connect must be enabled for your account to use this function.
  • If you are using envelopeEvents or recipientEvents, make sure that the event values are sentence case, not lowercase.
  • Make sure you have either set allUsers to true or set userIds to a non-empty array of IDs.
  • By default, this endpoint creates a disabled configuration. To enable the configuration immediately, set the body parameter allowEnvelopePublish to true. You can also enable the configuration in the UI.
  • To check if events are being emitted, set enableLog to true to view event logs in the Connect console.

Related topics

operationId: Connect_PostConnectConfiguration

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/connectCustomConfiguration

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/connect
PUT /v2.1/accounts/{accountId}/connect

Updates the specified DocuSign Connect configuration in your account. To enable the configuration, set the allowEnvelopePublish property to true.

After any updates, test your configuration to make sure it works as expected.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_PutConnectConfiguration

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/connectCustomConfiguration

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/connect
DELETE /v2.1/accounts/{accountId}/connect/oauth

Deletes the Connect OAuth configuration for the specified account.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

Related topics:

operationId: ConnectOAuthConfig_DeleteConnectOAuthConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/connect/oauth
GET /v2.1/accounts/{accountId}/connect/oauth

Gets the Connect OAuth configuration for the specified account.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

Related topics:

operationId: ConnectOAuthConfig_GetConnectOAuthConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/oauth
POST /v2.1/accounts/{accountId}/connect/oauth

Sets up Connect OAuth for the specified account using an authorization server of your choice. To use this endpoint, get the client ID and client secret from your authorization server.

When you call this endpoint, DocuSign requests an access token from your authorization server. DocuSign will use that token in the Authorization HTTP header of your account’s Connect messages. Finally, your listener will be responsible for validating the token by calling the authorization server.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

Related topics:

operationId: ConnectOAuthConfig_PostConnectOAuthConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/connectOAuthConfig

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/connect/oauth
PUT /v2.1/accounts/{accountId}/connect/oauth
operationId: ConnectOAuthConfig_PutConnectOAuthConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/connectOAuthConfig

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/connect/oauth
DELETE /v2.1/accounts/{accountId}/connect/{connectId}

Deletes the specified DocuSign Connect configuration.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_DeleteConnectConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

connectId path required string

The ID of the custom Connect configuration being accessed.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/connect/{connectId}
GET /v2.1/accounts/{accountId}/connect/{connectId}

Retrieves the information for the specified DocuSign Connect configuration.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_GetConnectConfig

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

connectId path required string

The ID of the custom Connect configuration being accessed.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/{connectId}
GET /v2.1/accounts/{accountId}/connect/{connectId}/all/users

Returns all users from the configured Connect service.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_GetConnectAllUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

connectId path required string

The ID of the custom Connect configuration being accessed.

count query optional string

The maximum number of results to return.

domain_users_only query optional string
email_substring query optional string

Filters returned user records by full email address or a substring of email address.

start_position query optional string

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

status query optional string

The status of the item.

user_name_substring query optional string

Filters results based on a full or partial user name.

Note: When you enter a partial user name, you do not use a wildcard character.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/{connectId}/all/users
GET /v2.1/accounts/{accountId}/connect/{connectId}/users

Returns users from the configured Connect service.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: Connect_GetConnectUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

connectId path required string

The ID of the custom Connect configuration being accessed.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

email_substring query optional string

Filters returned user records by full email address or a substring of email address.

list_included_users query optional string
start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

status query optional string

Filters the results by user status.
You can specify a comma-separated
list of the following statuses:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
user_name_substring query optional string

Filters results based on a full or partial user name.

Note: When you enter a partial user name, you do not use a wildcard character.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/{connectId}/users

Connectevents 8 endpoints

PUT /v2.1/accounts/{accountId}/connect/envelopes/retry_queue

Republishes Connect information for the specified set of envelopes. The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to Connect::listEventLogs retrieve the failure log.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectPublish_PutConnectRetry

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema connectFailureFilter
Property Type Required
envelopeIds array optional
synchronous string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/connect/envelopes/retry_queue
PUT /v2.1/accounts/{accountId}/connect/envelopes/{envelopeId}/retry_queue

Republishes Connect information for the specified envelope.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectPublish_PutConnectRetryByEnvelope

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/connect/envelopes/{envelopeId}/retry_queue
GET /v2.1/accounts/{accountId}/connect/failures

Retrieves the Connect failure log information. You can use this log to determine which envelopes failed to post, in order to create a republish request.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectFailures_GetConnectLogs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

from_date query optional string

The start date for a date range in UTC DateTime format.

Note: If this property is null, no date filtering is applied.

to_date query optional string

The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.

Note: If this property is null, the value defaults to the current date.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/failures
DELETE /v2.1/accounts/{accountId}/connect/failures/{failureId}

Deletes the Connect failure log information for the specified entry.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectFailures_DeleteConnectFailureLog

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

failureId path required string

The ID of the Connect post failure. Use all to delete all failures for the account.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/connect/failures/{failureId}
DELETE /v2.1/accounts/{accountId}/connect/logs

Deletes a list of Connect log entries for your account.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectLog_DeleteConnectLogs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/connect/logs
GET /v2.1/accounts/{accountId}/connect/logs

Retrieves a list of the 100 most recent Connect log entries for your account.

The enableLog setting in the Connect configuration must be set to true to enable logging. Log entries are deleted after 15 days.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectLog_GetConnectLogs

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

from_date query optional string

The start date for a date range in UTC DateTime format.

Note: If this property is null, no date filtering is applied.

to_date query optional string

The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.

Note: If this property is null, the value defaults to the current date.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/logs
DELETE /v2.1/accounts/{accountId}/connect/logs/{logId}

Deletes a specified entry from the Connect Log.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectLog_DeleteConnectLog

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

logId path required string

The ID of the Connect log entry.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/connect/logs/{logId}
GET /v2.1/accounts/{accountId}/connect/logs/{logId}

Retrieves the specified Connect log entry for your account.

The enableLog setting in the Connect configuration must be set to true to enable logging.
If logging is not enabled, then no log entries are recorded.

Note: To use this function, you must be an account administrator and Connect must be enabled on your account.

operationId: ConnectLog_GetConnectLog

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

logId path required string

The ID of the Connect log entry.

additional_info query optional string

When true, the response includes the connectDebugLog information.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/connect/logs/{logId}

Contacts 5 endpoints

DELETE /v2.1/accounts/{accountId}/contacts

This method deletes multiple contacts associated with an account.

operationId: Contacts_DeleteContacts

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/contactModRequest

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/contacts
POST /v2.1/accounts/{accountId}/contacts

This method adds multiple contacts into a contacts list.

operationId: Contacts_PostContacts

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/contactModRequest

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/contacts
PUT /v2.1/accounts/{accountId}/contacts

This method updates one or more contacts associated with an account.

operationId: Contacts_PutContacts

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/contactModRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/contacts
DELETE /v2.1/accounts/{accountId}/contacts/{contactId}

This method deletes a contact associated with an account.

operationId: Contacts_DeleteContactWithId

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

contactId path required string

The ID of a contact person in the account’s address book.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/contacts/{contactId}
GET /v2.1/accounts/{accountId}/contacts/{contactId}

This method returns one or more contacts
associated with a DocuSign account. You can also
retrieve contacts from connected cloud storage providers by using the
cloud_provider query parameter. By default,
contacts are retrieved from the DocuSign account’s
default address book.

To return a specific contact, use the contactId
query parameter. To return all contacts associated
with an account, omit this parameter.

operationId: Contacts_GetContactById

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

contactId path required string

The ID of a contact person in the account’s address book.

Note: To return all contacts, omit this parameter. It is not required.

cloud_provider query optional string

(Optional) The cloud provider from which to retrieve the contacts. Valid values are:

  • rooms
  • docusignCore (default)

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/contacts/{contactId}

Customtabs 5 endpoints

GET /v2.1/accounts/{accountId}/tab_definitions

Retrieves a list of all tabs associated with the account.

operationId: Tabs_GetTabDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

custom_tab_only query optional string

When true, only custom tabs are returned in the response.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/tab_definitions
POST /v2.1/accounts/{accountId}/tab_definitions

Creates a tab with pre-defined properties, such as a text tab with a certain font type and validation pattern. Users can access the custom tabs when sending documents through the DocuSign web application.

Custom tabs can be created for approve, checkbox, company, date, date signed, decline, email, email address, envelope ID, first name, formula, full name, initial here, last name, list, note, number, radio, sign here, signer attachment, SSN, text, title, and zip tabs.

operationId: Tabs_PostTabDefinitions

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/tabMetadata

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/tab_definitions
DELETE /v2.1/accounts/{accountId}/tab_definitions/{customTabId}

Deletes the custom from the specified account.

operationId: Tab_DeleteCustomTab

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

customTabId path required string

The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/tab_definitions/{customTabId}
GET /v2.1/accounts/{accountId}/tab_definitions/{customTabId}

Retrieves information about the requested custom tab on the specified account.

operationId: Tab_GetCustomTab

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

customTabId path required string

The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/tab_definitions/{customTabId}
PUT /v2.1/accounts/{accountId}/tab_definitions/{customTabId}

Updates the information in a custom tab for the specified account.

operationId: Tab_PutCustomTab

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

customTabId path required string

The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.

Request Body

#/components/requestBodies/tabMetadata

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/tab_definitions/{customTabId}

Documentgeneration 2 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields

Given an envelopeId this method
returns the form fields found in
that envelope’s documents.

The response for envelope that has one document
with form fields would look like this:

{
  "docGenFormFields": [
    {
      "documentId": "2dc54cf5-xxxx-xxxx-xxxx-05132a2dd889",
      "docGenFormFieldList": [
        {
          "label": "Candidate_Name",
          "type": "TextBox",
          "required": "True",
          "name": "Candidate_Name"
        },
        {
          "label": "Job_Title",
          "type": "TextBox",
          "required": "True",
          "name": "Job_Title"
        },
        {
          "label": "Manager_Name",
          "type": "TextBox",
          "required": "True",
          "name": "Manager_Name"
        },
        {
          "label": "Start_Date",
          "type": "TextBox",
          "required": "True",
          "name": "Start_Date"
        },
        {
          "label": "Salary",
          "type": "TextBox",
          "required": "True",
          "name": "Salary"
        }
      ],
      "docGenDocumentStatus": "created"
    }
  ]
}

Related topics

operationId: DocGenFormFields_GetEnvelopeDocGenFormFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields

This method updates the form fields
for all the documents in a given
envelope.

The envelope must be in the draft state.

The request body for an envelope that has one document
with form fields would look like this:

{
  "docGenFormFields": [
    {
      "documentId": "2dc54cf5-xxxx-xxxx-xxxx-05132a2dd889",
      "docGenFormFieldList": [
        {
          "name": "Candidate_Name",
          "value": "Peggy Olson"
        },
        {
          "name": "Job_Title",
          "value": "Copywriter"
        },
        {
          "name": "Manager_Name",
          "value": "Donald Draper"
        },
        {
          "name": "Start_Date",
          "value": "March 15, 1960"
        },
        {
          "name": "Salary",
          "value": "8000"
        }
      ]
    }
  ]
}

Related topics

operationId: DocGenFormFields_PutEnvelopeDocGenFormFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

update_docgen_formfields_only query optional string

When true, only the form fields are updated.
When false or omitted,
the documents are updated as well.

Request Body

application/json
schema docGenFormFieldRequest
Property Type Required
docGenFormFields array optional
documentId string optional
docGenErrors array optional
message string optional
errorCode string optional
tagIdentifier string optional
docGenFormFieldList array optional
name string optional
type string optional
label string optional
value string optional
options array optional
label string optional
value string optional
selected string optional
description string optional
required string optional
validation object optional
expression string optional
errorMessage string optional
description string optional
predefinedValidation string optional
docGenDocumentStatus string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields

Documentresponsivehtmlpreview 1 endpoints

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/responsive_html_preview

Creates a preview of the
responsive
HTML version of a specific document.
This method enables you to preview a PDF document
conversion to responsive HTML across device types prior to sending.

The request body is a documentHtmlDefinition object, which holds the responsive signing parameters that define how to generate the HTML version of the signing document.

operationId: ResponsiveHtml_PostDocumentResponsiveHtmlPreview

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

documentId path required string

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API,
you specify the documentId yourself.
Typically the first document has the ID
1, the second document 2, and so on,
but you can use any numbering scheme
that fits within a 32-bit signed integer
(1 through 2147483647).

Tab objects have a documentId property
that specifies the document on which to place
the tab.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/documentHtmlDefinition

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/responsive_html_preview

Enoteconfigurations 3 endpoints

DELETE /v2.1/accounts/{accountId}/settings/enote_configuration
operationId: ENoteConfiguration_DeleteENoteConfiguration

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/settings/enote_configuration
GET /v2.1/accounts/{accountId}/settings/enote_configuration
operationId: ENoteConfiguration_GetENoteConfiguration

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/settings/enote_configuration
PUT /v2.1/accounts/{accountId}/settings/enote_configuration
operationId: ENoteConfiguration_PutENoteConfiguration

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema eNoteConfiguration
Property Type Required
apiKey string optional
password string optional
userName string optional
organization string optional
eNoteConfigured string optional
connectConfigured string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/settings/enote_configuration

Envelopeattachments 5 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments

Deletes one or more envelope attachments from a draft envelope.

It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see [Attachments](https://raw.githubusercontent.com) in the concept guide.
operationId: Attachments_DeleteAttachments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/envelopeAttachmentsRequest

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments

Returns a list of envelope attachments associated with a specified envelope.

It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To get a list of user-visible attachments, use [EnvelopeDocuments: get](https://raw.githubusercontent.com). To learn about the different types of attachments, see [Attachments](https://raw.githubusercontent.com) in the concept guide.
operationId: Attachments_GetAttachments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments

Adds one or more envelope attachments to a draft or in-process envelope.
Each envelope can have a maximum of 12 attachments.

Envelope attachments are files that an application can include in an envelope. They are not converted to PDF. Envelope attachments are available only through the API. There is no user interface in the DocuSign web application for them.

For a list of supported file formats, see Supported File Formats.

It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see [Attachments](https://raw.githubusercontent.com) in the concept guide.
operationId: Attachments_PutAttachments

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/envelopeAttachmentsRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId}

Retrieves an envelope attachment from an envelope.

It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see [Attachments](https://raw.githubusercontent.com) in the concept guide.
operationId: Attachments_GetAttachment

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

attachmentId path required string

The unique identifier for the attachment.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId}
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId}

Updates an envelope attachment to a draft or in-process envelope.

It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see [Attachments](https://raw.githubusercontent.com) in the concept guide.
operationId: Attachments_PutAttachment

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

attachmentId path required string

The unique identifier for the attachment.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

application/json
schema attachment
Property Type Required
data string optional
name string optional
label string optional
remoteUrl string optional
attachmentId string optional
accessControl string optional
attachmentType string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId}

Envelopeconsumerdisclosures 2 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure

Retrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope that you specify.

This is the default ERSD disclosure that DocuSign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties.

To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter.

operationId: ConsumerDisclosure_GetConsumerDisclosureEnvelopeIdRecipientId

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

langCode query optional string

(Optional) The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported:

  • Arabic (ar)
  • Bulgarian (bg)
  • Czech (cs)
  • Chinese Simplified (zh_CN)
  • Chinese Traditional (zh_TW)
  • Croatian (hr)
  • Danish (da)
  • Dutch (nl)
  • English US (en)
  • English UK (en_GB)
  • Estonian (et)
  • Farsi (fa)
  • Finnish (fi)
  • French (fr)
  • French Canadian (fr_CA)
  • German (de)
  • Greek (el)
  • Hebrew (he)
  • Hindi (hi)
  • Hungarian (hu)
  • Bahasa Indonesian (id)
  • Italian (it)
  • Japanese (ja)
  • Korean (ko)
  • Latvian (lv)
  • Lithuanian (lt)
  • Bahasa Melayu (ms)
  • Norwegian (no)
  • Polish (pl)
  • Portuguese (pt)
  • Portuguese Brazil (pt_BR)
  • Romanian (ro)
  • Russian (ru)
  • Serbian (sr)
  • Slovak (sk)
  • Slovenian (sl)
  • Spanish (es)
  • Spanish Latin America (es_MX)
  • Swedish (sv)
  • Thai (th)
  • Turkish (tr)
  • Ukrainian (uk)
  • Vietnamese (vi)

Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure/{langCode}

Retrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope recipient that you specify. This disclosure might differ from the account-level disclosure, based on the signing brand applied to the envelope and the recipient’s language settings.

To set the language of the disclosure that you want to retrieve, specify the langCode as either a path or query parameter.

operationId: ConsumerDisclosure_GetConsumerDisclosureEnvelopeIdRecipientIdLangCode

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

langCode path required string

(Optional) The code for the signer language version of the disclosure that you want to retrieve, as a path parameter. The following languages are supported:

  • Arabic (ar)
  • Bulgarian (bg)
  • Czech (cs)
  • Chinese Simplified (zh_CN)
  • Chinese Traditional (zh_TW)
  • Croatian (hr)
  • Danish (da)
  • Dutch (nl)
  • English US (en)
  • English UK (en_GB)
  • Estonian (et)
  • Farsi (fa)
  • Finnish (fi)
  • French (fr)
  • French Canadian (fr_CA)
  • German (de)
  • Greek (el)
  • Hebrew (he)
  • Hindi (hi)
  • Hungarian (hu)
  • Bahasa Indonesian (id)
  • Italian (it)
  • Japanese (ja)
  • Korean (ko)
  • Latvian (lv)
  • Lithuanian (lt)
  • Bahasa Melayu (ms)
  • Norwegian (no)
  • Polish (pl)
  • Portuguese (pt)
  • Portuguese Brazil (pt_BR)
  • Romanian (ro)
  • Russian (ru)
  • Serbian (sr)
  • Slovak (sk)
  • Slovenian (sl)
  • Spanish (es)
  • Spanish Latin America (es_MX)
  • Swedish (sv)
  • Thai (th)
  • Turkish (tr)
  • Ukrainian (uk)
  • Vietnamese (vi)

Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

langCode query optional string

(Optional) The code for the signer language version of the disclosure that you want to retrieve, as a query parameter. The following languages are supported:

  • Arabic (ar)
  • Bulgarian (bg)
  • Czech (cs)
  • Chinese Simplified (zh_CN)
  • Chinese Traditional (zh_TW)
  • Croatian (hr)
  • Danish (da)
  • Dutch (nl)
  • English US (en)
  • English UK (en_GB)
  • Estonian (et)
  • Farsi (fa)
  • Finnish (fi)
  • French (fr)
  • French Canadian (fr_CA)
  • German (de)
  • Greek (el)
  • Hebrew (he)
  • Hindi (hi)
  • Hungarian (hu)
  • Bahasa Indonesian (id)
  • Italian (it)
  • Japanese (ja)
  • Korean (ko)
  • Latvian (lv)
  • Lithuanian (lt)
  • Bahasa Melayu (ms)
  • Norwegian (no)
  • Polish (pl)
  • Portuguese (pt)
  • Portuguese Brazil (pt_BR)
  • Romanian (ro)
  • Russian (ru)
  • Serbian (sr)
  • Slovak (sk)
  • Slovenian (sl)
  • Spanish (es)
  • Spanish Latin America (es_MX)
  • Swedish (sv)
  • Thai (th)
  • Turkish (tr)
  • Ukrainian (uk)
  • Vietnamese (vi)

Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure/{langCode}

Envelopecustomfields 2 endpoints

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields

Deletes envelope custom fields for draft and in-process envelopes.

operationId: CustomFields_DeleteCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request Body

#/components/requestBodies/EnvelopeCustomFields

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields

Retrieves the custom field information for the specified envelope. You can use these fields in the envelopes for your account to record information about the envelope, help search for envelopes, and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the DocuSign member console. The envelope custom fields are not seen by the envelope recipients.

There are two types of envelope custom fields, text, and list. A text custom field lets the sender enter the value for the field. With a list custom field, the sender selects the value of the field from a pre-made list.

Related topics

operationId: CustomFields_GetCustomFields

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/custom_fields
Load more endpoints